import request from '@/utils/request'

// 查询案件列表
export function caseApplicationList(data) {
  return request({
    url: 'caseApplication/list',
    method: 'get',
    params: data
  })
}
/** 新增案件 */
export function caseApplicationInsert(data) {
  return request({
    url: 'caseApplication/insert',
    method: 'post',
    data: data
  })
}
/** 根据id查询案件信息 */
export function caseApplicationSelectById(data) {
  return request({
    url: '/caseApplication/selectById',
    method: 'get',
    params: data
  })
}
/** 案件证据查询 */
export function getFileList(data) {
  return request({
    url: "/common/fileList",
    method: "get",
    params: data,
  });
}
/** 批量上传证据 */
export function batchUpload(data) {
  return request({
    url: "/caseApplication/batchUpload",
    method: "post",
    data: data,
  });
}
// 提交 
export function submitCaseApply(data) {
  return request({
    url: '/caseApplication/submit',
    method: 'post',
    data: data
  })
}
//   缴费确认
export function confirmPaid(data) {
  return request({
    url: "/pay/confirmPaid",
    method: "post",
    data: data,
  });
}
//   缴费确认（被申请人）
export function resConfirmPaid(data) {
  return request({
    url: "/pay/resConfirmPaid",
    method: "post",
    data: data,
  });
}
//   案件id查询缴费清单
export function selectPaymentDetail(data) {
  return request({
    url: "/pay/selectPaymentDetail",
    method: "get",
    params: data,
  });
}
//案件受理
export function accept(data) {
  return request({
    url: "/caseApplication/accept",
    method: "post",
    data: data,
  });
}
export function listMediator(data) {
  return request({
    url: "caseApplication/listMediator",
    method: "get",
    params: data,
  });
}
//   确认仲裁员以及时间
export function updateBooking(data) {
  return request({
    url: "/caseApplication/updateBooking",
    method: "post",
    data: data,
  });
}
//用印申请
export function sealApply(data) {
  return request({
    url: "/mssignSeal/sealApply",
    method: "post",
    data: data,
  });
}
// 用印确认
export function selectSealUrl(data) {
  return request({
    url: "/mssignSeal/selectSealUrl",
    method: "post",
    data: data,
  });
}
//查询预约信息
export function selectReservation(data) {
  return request({
    url: "/caseApplication/selectReservation",
    method: "get",
    params: data,
  });
}
//核实调解员
export function verifyMediator(data) {
  return request({
    url: "/caseApplication/verifyMediator",
    method: "post",
    data: data,
  });
}
// 确认调节时间
export function confirmDate(data) {
  return request({
    url: "/caseApplication/confirmDate",
    method: "post",
    data: data,
  })
}
// 查看案件流程
export function selectCaseProgress(data) {
  return request({
    url: "/mssignSeal/selectCaseProgress",
    method: "post",
    data: data,
  })
}
// 查看案件日志
export function listCaseLogRecord(data) {
  return request({
    url: "/mssignSeal/listCaseLogRecord",
    method: "post",
    data: data,
  })
}
// 案件归档
export function msCaseFile(data) {
  return request({
    url: "/mssignSeal/msCaseFile",
    method: "post",
    data: data,
  })
}
//生成调解书
export function mediation(data) {
  return request({
    url: "/caseApplication/mediation",
    method: "post",
    data: data,
  })
}
//申请人和被申请人签收调解书
export function msCaseSign(data) {
  return request({
    url: "/mssignSeal/msCaseSign",
    method: "post",
    data: data,
  })
}
//确认调解书
export function confirmMediation(data) {
  return request({
    url: "/caseApplication/confirmMediation",
    method: "post",
    data: data,
  })
}
// 查询部门列表
export function listDeptApplied(query) {
  return request({
    url: '/system/dept/selectList',
    method: 'get',
    params: query
  })
}
// 修改立案申请接口
export function updateComfire(data) {
  return request({
    url: "/caseApplication/update",
    method: "post",
    data: data,
  })
}
// 根据身份证获取生日和性别
export function getInfoByIdCard(query) {
  return request({
    url: '/caseApplication/getInfoByIdCard',
    method: 'get',
    params: query
  })
}
// 签名 
export function msCaseSignUrlApplyPC(data) {
  return request({
    url: '/mssignSeal/msCaseSignUrlApplyPC',
    method: 'post',
    data: data
  })
}
// 签名 
export function getUserInfo(query) {
  return request({
    url: '/caseApplication/getUserInfo',
    method: 'get',
    params: query
  })
}
// 确定会议结果
export function confirmMeetingResult(data) {
  return request({
    url: '/caseApplication/confirmMeetingResult',
    method: 'post',
    data: data
  })
}
// 根据用户id查询是否为调解员
export function secretaryRoleByUserId(query) {
  return request({
    url: '/video/secretaryRoleByUserId',
    method: 'get',
    params: query
  })
}
